Bug 439136 - gsynaptics-init crashes on startup
gsynaptics-init crashes on startup
Status: CLOSED DUPLICATE of bug 446502
Product: Fedora
Classification: Fedora
Component: gsynaptics (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Andreas Thienemann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 04:43 EDT by Matthew Saltzman
Modified: 2008-12-06 14:25 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-06 14:25:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to correct spelling of CoastingSpeed parameter (408 bytes, patch)
2008-03-27 17:41 EDT, Matthew Saltzman
no flags Details | Diff

  None (edit)
Description Matthew Saltzman 2008-03-27 04:43:05 EDT
Description of problem:
A misspelled parameter name is rejected by gsynaptics-init, which then
terminates without starting daemons.

Version-Release number of selected component (if applicable):
gsynaptics-0.9.12-2.1.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run gsynaptics-init --sm-disable
2.
3.
  
Actual results:
** (gsynaptics-init:32021): WARNING **: Using synclient
Unknown parameter CoastingSpeedThreashold

Expected results:
No error.

Additional info:
The history of this bug in Ubuntu is here:
https://bugs.launchpad.net/ubuntu/+source/gsynaptics/+bug/70525.

Apparently, there is more to this than just the misspelling.  

According to the man page for synaptics(5), the proper name for the parameter is
CoastingSpeed.
Comment 1 Matthew Saltzman 2008-03-27 17:41:22 EDT
Created attachment 299393 [details]
Patch to correct spelling of CoastingSpeed parameter

This patch gets rid of the error message.  gsynaptics-init completes normally,
with only the warning.	I haven't verified yet that it does anything, as I'm no
longer quite sure what it's supposed to do.
Comment 2 Bug Zapper 2008-11-26 05:16:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Matthew Saltzman 2008-12-06 14:25:13 EST
This is a duplicate of Bug 446502, which applies to F9, so changing the version and marking as duplicate.  (Hope I've done the right thing...)

*** This bug has been marked as a duplicate of bug 446502 ***

Note You need to log in before you can comment on or make changes to this bug.